html {
  overflow-x: hidden;
}

.app-index {
  .section1 {
    .space {
      background-image: url('../../images/frontend/bg-s1.png');
      background-size: 73%;
      background-position: center;
      background-repeat: no-repeat;
      padding-top: 15vh;
      min-height: 83vh;
      .textbox {
        .text-main {
          background-image: url('../../images/frontend/bg-main.png');
          background-repeat: repeat-x;
          background-position: top;
          background-size: 70vw;
          color: transparent;
          -webkit-background-clip: text;
          -moz-background-clip: text;
          background-clip: text;
          -webkit-text-fill-color: transparent;
          font-size: 7.3vw;
          font-weight: 700;
          line-height: 1;
        }
        .text-main::after {
          content: '';
          position: absolute;
          width: 103%;
          transform: scaleX(0);
          top: 0;
          bottom: 0;
          left: -3px;
          transition: transform 0.3s var(--ease-in-out-circ);
        }
        .text-sub {
          p:first-of-type {
            font-size: 2.5vw;
            line-height: 0.8;
            font-weight: 500;
          }
          p:nth-of-type(2) {
            font-size: 1.1vw;
            font-weight: 300;
            line-height: 0.5;
          }
          p:last-of-type {
            font-size: 1.1vw; // line-height: 0.5;
            font-weight: 200;
          }
        }
      }
      .logo {
        img {
          margin-top: -2vw;
          width: 25vw;
        }
      }
    }
  }
  .section2 {
    margin-top: -15vh;
    background-image: url('../../images/frontend/bg-main.png');
    background-size: auto 110%; // background-position: 20vw 0 !important;
    // background-attachment: fixed;
    min-height: 117vh;
    .space {
      .textbox {
        margin-top: 20vh;
        .text-sub {
          .pinned {
            display: inline-block;
            top: 2.5px;
          }
          .font-somatic {
            font-size: 1.3vw;
            color: #fff;
            line-height: 1;
            letter-spacing: 0.2vw;
          }
        }
        .text-main .col {
          padding-top: 15px;
          font-size: 5vw;
          font-weight: 800;
          line-height: 1;
          color: #fff;
        }
      }
      .textboard {
        margin-top: 5vh;
        margin-bottom: 30vh;
        position: relative;
        p {
          font-size: 25px;
          color: #f2f2f2;
          text-indent: 4vw;
        }
        .dot {
          position: absolute;
          width: 10px;
          height: 10px;
          background: #f2f2f2;
        }
        .dot:nth-of-type(1) {
          top: -5px;
          left: -5px;
        }
        .dot:nth-of-type(2) {
          top: -5px;
          right: -5px;
        }
        .dot:nth-of-type(3) {
          bottom: -5px;
          left: -5px;
        }
        .dot:nth-of-type(4) {
          bottom: -5px;
          right: -5px;
        }
      }
    }
  }
  .section3 {
    margin-top: -17vh;
    position: relative;
    .space {
      min-height: 90vh;
      background: #fff;
      .text-main {
        font-size: 10vh;
        font-weight: bold;
      }
    }
    .image-box1 {
      img {
        transition: box-shadow 0.3s ease;
        margin-top: 7vh;
        width: 100%;
        border-radius: 50%;
        box-shadow: 0 0 20px 1px #ddd;
        &:hover {
          box-shadow: 0 0 30px 1px #ddd;
        }
      }
    }
    .image-box2 {
      img {
        width: 7vw;
        margin-top: 5vh;
        border-radius: 50%;
        box-shadow: 0 0 0 1px #ccc;
      }
    }
    .separator-top:last-of-type {
      z-index: 1;
      transform: rotateX(180deg);
    }
  }
  .section4 {
    z-index: 0;
    margin-top: -15vh;
    overflow: hidden !important;
    position: relative;
    min-height: 125vh;
    height: auto !important;
    background-attachment: fixed;
    background-size: cover;
    background: -webkit-linear-gradient(top, #514a9d, #24c6dc);
    .camp-menu2 {
      z-index: 3 !important;
      position: absolute;
      bottom: 12vh;
      li.active img {
        box-shadow: 0 0 0 10px rgba(243, 243, 243, 0.8);
      }
      li:not(.active) img:hover {
        box-shadow: 0 0 0 10px rgba(65, 66, 77, 0.2);
      }
      li:first-child {
        padding-left: 5vw;
      }
      li:last-child {
        padding-right: 5vw;
      }
      li {
        list-style-type: none;
        padding: 2vw;
        margin: 2vh 2vw;
        img {
          cursor: pointer;
          width: 100%;
          border-radius: 50%;
          box-shadow: 0 0 0 5px rgba(65, 66, 77, 0.3);
          transition: box-shadow 0.3s;
        }
      }
    }
    .camp-menu {
      z-index: 1;
      position: absolute;
      top: 50%;
      bottom: 0;
      right: 0;
      transform: translateY(-60%);
      width: 110px;
      margin: 5px !important;
      li.active img {
        box-shadow: 0 0 0 10px rgba(243, 243, 243, 0.8);
      }
      li:not(.active) img:hover {
        box-shadow: 0 0 0 10px rgba(65, 66, 77, 0.2);
      }
      li {
        list-style-type: none;
        margin: 2vh -1vw;
        img {
          cursor: pointer;
          width: 100%;
          border-radius: 50%;
          box-shadow: 0 0 0 5px rgba(65, 66, 77, 0.3);
          transition: box-shadow 0.3s;
        }
      }
    }
    .camp-holder {
      min-height: 100vh;
      margin-left: auto;
      margin-right: auto;
      position: relative;
      .slider-holder {
        clear: both;
        position: relative;
        width: 501vw;
      }
      .camp-slider {
        width: 100vw;
        float: left;
        margin: 0;
        padding: 0;
        position: relative;
        min-height: 127vh;
      }
      .camp {
        background-size: auto 120%;
        background-attachment: fixed;
        .textbox {
          margin-top: 17vh;
          .text-sub {
            .pinned {
              display: inline-block;
              top: 2.5px;
            }
            .font-somatic {
              font-size: 23px;
              color: #fff;
              line-height: 1;
              letter-spacing: 0.2vw;
            }
          }
          .text-main {
            font-size: 5vw;
            font-weight: 700;
            line-height: 1;
            color: #fff;
          }
        }
        .textboard {
          margin-top: 30px;
          margin-bottom: 30px;
          .text-center {
            span {
              color: #f2f2f2;
            }
          }
          .row:first-child span {
            display: block;
            color: $color-white;
            text-indent: 5vw !important;
          }
          .img-block {
            .col {
              img {
                padding: 5px;
                border-radius: 50%;
                background: #f2f2f2;
                box-shadow: 0 0 0 5px rgba(65, 66, 77, 0.3);
                margin-top: 4vh;
                margin-bottom: 10px;
              }
            }
          }
        }
        .camp-icon img {
          max-height: 73vh;
        }
        img {
          width: 100%;
        }
      }
    }
  }
  .section5 {
    margin-top: -15vh;
    position: relative;
    .space {
      background: #fff;
      .textbox {
        margin-top: 10vh;
        .text-sub {
          .pinned {
            display: inline-block;
            top: 2.5px;
          }
          .font-somatic {
            font-size: 23px;
            color: $color-dark;
            line-height: 1;
            letter-spacing: 0.2vw;
          }
        }
        .text-main {
          font-size: 13vh;
          font-weight: 700;
          line-height: 1;
          color: $color-dark;
        }
      }
    }
    .card-container {
      overflow: hidden;
      position: relative;
      white-space: nowrap;
      .arrow-prev,
      .arrow-next {
        top: 47%;
      }
      .card-slider {
        position: relative;
      }
      .card {
        border-radius: 7px;
        width: 20vw;
        padding: 0;
        margin-right: 30px;
        display: inline-block;
        vertical-align: top;
        white-space: normal;
        transition: box-shadow 0.3s;
        transition .card-img-top {
          height: 30vh;
          background: $color-gray;
        }
        .card-text {
          display: inline-block;
          text-overflow: hidden;
          word-wrap: break-word;
          overflow: hidden;
          max-height: 9vh;
          line-height: 3vh;
        }
      }
    }
  }
  .section6 {
    margin-top: -15vh;
    position: relative;
    .space {
      background-image: url('../../images/frontend/bg-sec6.png');
      min-height: 134vh;
      background-attachment: fixed; // background-size: 120% auto !important;
      margin-bottom: -17vh;
      .textbox {
        margin-top: 20vh;
        .text-sub {
          .pinned {
            display: inline-block;
            top: 2.5px;
          }
          .font-somatic {
            font-size: 23px;
            color: $color-white;
            line-height: 1;
            letter-spacing: 0.2vw;
          }
        }
        .text-main {
          font-size: 6vw;
          font-weight: 700;
          line-height: 1;
          color: $color-white;
        }
        .text-added {
          color: $color-white;
          font-weight: 200;
          margin-left: 5px;
          font-size: 3vh;
        }
      }
      .img-block {
        .img-container {
          margin-top: 7vh;
          img {
            width: 100%;
          }
        }
        .img-container.active {
          border-radius: 50%;
          box-shadow: 0 0 0 5px rgba(243, 243, 243, 0.8);
          animation-name: timelineActive;
          animation-duration: 5s;
          animation-iteration-count: infinite;
          transition-timing-function: ease-in;
        }
        .text {
          margin-top: 15px;
          text-align: center;
          b {
            color: $color-white;
          }
          span {
            color: $color-blue;
            font-family: $Somati;
          }
        }
      }
    }
  }
  .section7 {
    transition: 0.3s !important;
    .annou-block {
      margin-top: 10vh;
      .content-head {
        font-weight: 500;
        font-size: 25px;
      }
      .content-body {
        margin-top: 10px;
        text-indent: 5vw;
        font-size: 17px;
      }
      .content-sub {
        margin-top: 10px;
        span {
          font-size: 15px;
        }
      }
      .content-sub span:before {
        content: '- ';
      }
      .annou-menu {
        li {
          cursor: pointer;
          margin-bottom: 30px;
          margin-top: 30px;
          list-style-type: none;
          padding: 5vw;
          img {
            width: 100%;
            border-radius: 50%;
            border: 1px solid #f2f2f2;
            box-shadow: 0 0 0 5px rgba(65, 66, 77, 0.3);
            transition: box-shadow 0.3s ease-in;
          }
        }
        li.active img {
          box-shadow: 0 0 0 5px rgba(75, 48, 150, 0.726);
        }
      }
    }
    .annou-img {
      img {
        border-radius: 7px;
        width: 100%;
        max-width: 360px;
      }
    }
    margin-top: -15vh;
    position: relative;
    .space {
      min-height: 100vh;
      .textbox {
        margin-top: 10vh;
        .text-sub {
          .pinned {
            display: inline-block;
            top: 2.5px;
          }
          .font-somatic {
            font-size: 23px;
            color: $color-dark;
            line-height: 1;
            letter-spacing: 0.2vw;
          }
        }
        .text-main {
          font-size: 7vw;
          font-weight: 700;
          line-height: 1;
          color: $color-dark;
        }
        .text-added {
          color: $color-dark;
          font-weight: 200;
          margin-left: 5px;
          font-size: 3vh;
        }
      }
    }
  }
  .section-container {
    background: linear-gradient(to bottom, #140a34, #404e92, #3d94bc);
  }
  .section8 {
    position: relative;
    &:first-child {
      margin-top: -15vh;
    }
    .space {
      min-height: 115vh;
      .textbox {
        margin-top: 15vh;
        .text-sub {
          .pinned {
            display: inline-block;
            top: 2.5px;
          }
          .font-somatic {
            font-size: 23px;
            color: $color-white;
            line-height: 1;
            letter-spacing: 0.2vw;
          }
        }
        .text-main {
          font-size: 13vh;
          font-weight: 700;
          line-height: 1;
          color: $color-white;
        }
        .text-added {
          color: $color-white;
          font-weight: 200;
          margin-left: 5px;
          font-size: 3vh;
        }
      }
      .faq-block {
        margin-top: 30px;
        .faq-menu {
          cursor: pointer;
          li {
            list-style-type: none;
            div.faq-menu-li {
              text-align: left;
              border: 1px solid rgba(255, 255, 255, 0.3);
              border-radius: 7px;
              padding: 10px;
              margin: 10px;
              transition: transform 0.3s ease-in, background 0.3s ease-in, border 0.3s ease-in;
              &:hover {
                background: $color-white;
                span {
                  color: $color-dark;
                }
              }
              &.active {
                border: none;
                border-left: 10px solid #7308d7;
                background: $color-white;
                transition: transform 0.3s ease-in, background 0.3s ease-in, border 0.3s ease-in;
                span {
                  color: $color-dark;
                }
              }
              span {
                color: $color-white;
                transition: color 0.3s ease-in;
              }
            }
            .faq-content {
              display: none;
              &.active {
                @media screen and (max-width: 991px) {
                  display: block !important;
                }
              }
            }
          }
        }
        .faq-content {
          padding: 30px;
          margin: 10px;
          border-radius: 7px;
          background-color: $color-white;
          border-left: 10px solid #7308d7;
          .faq-content-text:not(.active) {
            display: none;
          }
          .faq-content-text {
            text-align: left;
            b {
              font-size: 3vw;
            }
          }
        }
      }
      .mapbox {
        position: relative;
        margin-top: 5vh;
        .map {
          padding: 15px;
          border-radius: 7px !important;
          border: 2px dotted rgba(243, 243, 243, 0.5);
          iframe {
            border: none;
            width: 100%;
            min-height: 80vh;
            border-radius: 7px !important;
          }
        }
        .map-text {
          background: $color-white;
          margin-top: 15px;
          border-top-right-radius: 7px;
          border-top-left-radius: 7px;
          padding: 15px;
          background: linear-gradient(-106deg, #ff4b1f, #ff9068);
          b,
          span {
            color: $color-white !important;
          }
        }
        .map-textbox {
          background: $color-white;
          border-bottom-right-radius: 7px;
          border-bottom-left-radius: 7px;
          transform: skewX(0deg) !important;
          width: 100% !important;
          position: static !important;
          min-height: auto !important;
          padding: 15px;
          .btn {
            margin: 5px 0;
            width: 100% !important;
          }
          .collapse {
            width: 100% !important;
          }
          .map-text {
            margin-top: 5vh;
            b {
              font-size: 30px;
            }
            span {
              font-size: 20px;
            }
          }
          .map-subtext {
            margin-top: 20px !important;
            text-align: left;
            background: $color-yellow;
            b {
              display: block;
              font-size: 20px;
              padding: 1px 5px;
              color: $color-white;
              font-weight: 300 !important;
              border-radius: 7px;
              margin-top: 10px;
            }
          }
        }
      }
      .infobox {
        margin-top: 5vh;
        margin-bottom: 5vh;
        .social {
          width: 220px;
          position: relative;
          left: 50%;
          transform: translateX(-50%);
          img {
            box-shadow: 0 0 0 5px $color-white;
            width: 100%;
            border-radius: 50%;
          }
        }
        .tel {
          margin-top: 5vh !important;
          position: relative;
          left: 50%;
          transform: translateX(-50%);
          width: 250px;
          div {
            color: $color-white;
            padding: 5px;
          }
          .col-4 {
            background: rgba(51, 77, 95, 0.6);
            border-top-left-radius: 7px;
            border-bottom-left-radius: 7px;
          }
          .col {
            background: rgba(51, 77, 95, 0.3);
            border-top-right-radius: 7px;
            border-bottom-right-radius: 7px;
          }
        }
      }
      .img-block {
        margin-top: 10vh !important;
        img {
          border-radius: 50%;
          width: 100%;
          box-shadow: 0 0 0 5px rgba(65, 66, 77, 0.7);
        }
      }
      .friend-block {
        margin-top: 10vh !important;
        span {
          font-size: 30px;
          color: $color-white;
        }
        .col-12 {
          margin-top: 5vh;
          transition: transform 0.3s;
          cursor: pointer;
          p {
            font-size: 23px;
            border-radius: 5px;
            background: #ffffff;
            box-shadow: 0 6px 18px rgba(11, 55, 106, 0.3);
            padding: 4px;
          }
        }
        .col:hover {
          transform: translateY(-5px);
        }
      }
      .to-top {
        height: 10vh;
        overflow: hidden;
        margin-top: 10vh;
        margin-bottom: -10vh;
        img {
          width: 70%;
        }
      }
    }
  }
}

@media only screen and (max-width: 992px) {
  .section2 {
    .space {
      background-color: rgba(3, 5, 86, 0.53) !important;
    }
    .textboard {
      padding: 10px;
      border-radius: 7px;
    }
  }
  .section4 {
    .text-main {
      font-size: 10vw !important;
    }
    .camp {
      .space {
        .textboard {
          .row:last-of-type {
            margin-bottom: 25vw !important;
          }
        }
        .textbox {
          .text-sub {
            .font-somatic {
              font-size: 4.3vw !important;
              margin-left: 5px;
            }
          }
          .text-main {
            font-size: 40px !important;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 768px) and (max-width: 767px) {
  .section1 {
    .space {
      min-height: 0px !important;
    }
    .text-main {
      text-align: center;
      font-size: 15vw !important; // text-indent: 1 !important;
    }
    .text-sub {
      p:first-child {
        margin-top: 1vh;
        text-align: center;
        font-size: 6vw !important;
        line-height: 1 !important;
      }
      p:nth-child(2) {
        text-align: center;
        font-size: 3.5vw !important;
        line-height: 1 !important;
      }
      p:last-child {
        text-align: center;
        font-size: 2.5vw !important;
        line-height: 1 !important;
      }
    }
  }
  .section2 {
    min-height: 0px !important;
    .textbox {
      margin-top: 10vh !important;
      margin-bottom: 0 !important;
      .text-sub {
        span {
          font-size: 4vw !important;
        }
      }
      .text-main .col {
        font-size: 10vw !important;
      }
    }
    .textboard {
      margin-top: 5vh !important;
      margin-bottom: 10vh !important;
      p {
        font-size: 17px !important;
      }
    }
  }
  .section3 {
    .space {
      min-height: 0px !important;
      padding-bottom: 20vh !important;
      .text-main {
        font-size: 15vw !important;
        font-weight: 700;
      }
    }
  }
  .section4 {
    .text-main {
      font-size: 10vw !important;
    }
    .camp {
      .space {
        .textboard {
          .row:last-of-type {
            margin-bottom: 30vw !important;
          }
        }
      }
    }
  }
  .section5 {
    .space {
      .textbox {
        .text-sub {
          .font-somatic {
            font-size: 4.3vw !important;
            margin-left: 5px;
          }
        }
        .text-main {
          font-size: 10vw !important;
        }
      }
    }
  }
  .arrow-prev,
  .arrow-next {
    img {
      width: 40px;
    }
  }
  .card {
    width: 50vw !important;
  }
  .section6 {
    .space {
      .textbox {
        .text-sub {
          .font-somatic {
            font-size: 4.3vw !important;
            margin-left: 5px;
          }
        }
        .text-main {
          font-size: 10vw !important;
        }
      }
    }
  }
  .section7 {
    .annou-menu {
      li {
        padding: 7vw !important;
      }
    }
    .space {
      .textbox {
        .text-sub {
          .font-somatic {
            font-size: 4.3vw !important;
            margin-left: 5px;
          }
        }
        .text-added {
          font-size: 4vw !important;
          font-weight: 300 !important;
        }
        .text-main {
          font-size: 10vw !important;
        }
      }
    }
  }
  .section8 {
    .space {
      .textbox {
        .btn,
        .collapse,
        .card {
          width: 100% !important;
        }
        .text-sub {
          .font-somatic {
            font-size: 4.3vw !important;
            margin-left: 5px;
          }
        }
        .text-added {
          font-size: 4vw !important;
          font-weight: 300 !important;
        }
        .text-main {
          font-size: 10vw !important;
        }
        .faq-block {
          .faq-menu {
            li {
              margin: 5px 0 !important;
            }
            span {
              font-size: 3.5vw !important;
            }
          }
          .faq-content {
            b {
              font-size: 6vw !important;
            }
            span {
              font-size: 4vw !important;
            }
          }
        }
      }
    }
  }
}